Dom4JElementMapper (JiBX Java data binding to XML - Version 1.2.6)
Date: 2014-12-30

org.jibx.extras

## Class Dom4JElementMapper

- java.lang.Object
- - org.jibx.extras.DocumentModelMapperBase
  - - org.jibx.extras.Dom4JMapperBase
    - - org.jibx.extras.Dom4JElementMapper

- All Implemented Interfaces:
    IAliasable, IMarshaller, IUnmarshaller

      public class Dom4JElementMapper
      extends Dom4JMapperBase
      implements IMarshaller, IUnmarshaller, IAliasable

  Custom element marshaller/unmarshaller to dom4j representation. This allows you to mix data binding and document model representations for XML within the same application. You simply use this marshaller/unmarshaller with a linked object type of `org.dom4j.Element` (the actual runtime type - the declared type is ignored and can be anything). If a name is supplied on a reference that element name will always be matched when unmarshalling but will be ignored when marshalling (with the actual dom4j element name used). If no name is supplied this will unmarshal a single element with any name.

  Author:
    Dennis M. Sosnoski

- - ### Field Summary

    - ### Fields inherited from class org.jibx.extras.DocumentModelMapperBase

      `XML_NAMESPACE, XMLNS_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dom4JElementMapper()` Default constructor.
    `Dom4JElementMapper(java.lang.String uri, int index, java.lang.String name)` Aliased constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isExtension(java.lang.String mapname)` Check if marshaller represents an extension mapping.
    `boolean` | `isPresent(IUnmarshallingContext ctx)` Check if instance present in XML.
    `void` | `marshal(java.lang.Object obj, IMarshallingContext ictx)` Marshal instance of handled class.
    `java.lang.Object` | `unmarshal(java.lang.Object obj, IUnmarshallingContext ictx)` Unmarshal instance of handled class.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dom4JElementMapper

          public Dom4JElementMapper()

      Default constructor.

    - #### Dom4JElementMapper

          public Dom4JElementMapper(java.lang.String uri,
                            int index,
                            java.lang.String name)

      Aliased constructor. This takes a name definition for the element. It'll be used by JiBX when a name is supplied by the mapping which references this custom marshaller/unmarshaller.
      Parameters:
        `uri` - namespace URI for the top-level element
        `index` - namespace index corresponding to the defined URI within the marshalling context definitions
        `name` - local name for the top-level element

  - ### Method Detail

    - #### isExtension

          public boolean isExtension(java.lang.String mapname)

      Description copied from interface: `IMarshaller`
      Check if marshaller represents an extension mapping. This is used by the framework in generated code to verify compatibility of objects being marshalled using an abstract mapping.
      Specified by:
        `isExtension` in interface `IMarshaller`
      Parameters:
        `mapname` - marshaller mapping name (generally the class name to be handled, or abstract mapping type name)
      Returns:
        `true` if this mapping is an extension of the abstract mapping, `false` if not

    - #### marshal

          public void marshal(java.lang.Object obj,
                     IMarshallingContext ictx)
                       throws JiBXException

      Description copied from interface: `IMarshaller`
      Marshal instance of handled class. This method call is responsible for all handling of the marshalling of an object to XML text. It is called at the point where the start tag for the associated element should be generated.
      Specified by:
        `marshal` in interface `IMarshaller`
      Parameters:
        `obj` - object to be marshalled (may be `null` if property is not optional)
        `ictx` - XML text output context
      Throws:
        `JiBXException` - on error in marshalling process

    - #### isPresent

          public boolean isPresent(IUnmarshallingContext ctx)
                            throws JiBXException

      Description copied from interface: `IUnmarshaller`
      Check if instance present in XML. This method can be called when the unmarshalling context is positioned at or just before the start of the data corresponding to an instance of this mapping. It verifies that the expected data is present.
      Specified by:
        `isPresent` in interface `IUnmarshaller`
      Parameters:
        `ctx` - unmarshalling context
      Returns:
        `true` if expected parse data found, `false` if not
      Throws:
        `JiBXException` - on error in unmarshalling process

    - #### unmarshal

          public java.lang.Object unmarshal(java.lang.Object obj,
                                   IUnmarshallingContext ictx)
                                     throws JiBXException

      Description copied from interface: `IUnmarshaller`
      Unmarshal instance of handled class. This method call is responsible for all handling of the unmarshalling of an object from XML text, including creating the instance of the handled class if an instance is not supplied. When it is called the unmarshalling context is always positioned at or just before the start tag corresponding to the start of the class data.
      Specified by:
        `unmarshal` in interface `IUnmarshaller`
      Parameters:
        `obj` - object to be unmarshalled (may be `null`)
        `ictx` - unmarshalling context
      Returns:
        unmarshalled object (may be `null`)
      Throws:
        `JiBXException` - on error in unmarshalling process

Project Web Site |